Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.farmacia.vo.elencofarmacie
Class FarmaciaResponse

    java.lang.Object
      it.svimservice.nsisr.web.ws.farmacia.vo.elencofarmacie.FarmaciaResponse

    public class FarmaciaResponse

extends java.lang.Object

Dati di una farmacia:

- codice provinciale
- denominazione
- indirizzo
- stato giuridico
- partita IVA
- codice ISTAT comune di ubicazione
- ente previdenziale
- ASL di convenzione
- distretto di appartenenza
- referente verso il M.E.F.
- ultimo periodo di convenzione
- mezzi di pagamento
- tipologia di fatturato
- titolarità
- iscrizione organizzazione di categoria

Version:
  1.1
Author:
  BisceglieR, CoppiR

Field Summary
`private int` | `codEntePrevidenziale` Codice ente previdenziale
`private java.lang.String` | `codNazionaleConvenzione` Codice nazionale ASL di convenzione
`private int` | `codProvinciale` Codice provinciale
`private int` | `codStatoGiuridico` Stato giuridico: assume un valore tra 1 - pubblica 2 - privata
`private java.lang.String` | `indirizzo` Indirizzo
`private java.lang.String` | `istatUbicazione` Codice ISTAT ubicazione
`private java.lang.String` | `nomeFarmacia` Denominazione
`private int` | `numDistretto` Numero distretto di appartenenza
`private java.lang.String` | `partitaIva` Partita IVA
`private ElencoPeriodiMezzoPagamentoResponse` | `periodiMezzoPagamento` Elenco dei mezzi di pagamento
`private PeriodoConvenzioneResponse` | `periodoConvenzione` Ultimo periodo di convenzione
`private PeriodoIscrizioneCategoriaResponse` | `periodoIscrizione` Iscrizione organizzazione di categoria
`private PeriodoTipoFarmaciaResponse` | `periodoTipoFarmacia` Tipologia di farmacia
`private PeriodoTitolaritaFarmaciaResponse` | `periodoTitolarita` Titolarità
`private ReferenteResponse` | `referente` Referente vero il M.E.F.

Constructor Summary
`FarmaciaResponse()`

Method Summary
`int` | `getCodEntePrevidenziale()`
`java.lang.String` | `getCodNazionaleConvenzione()`
`int` | `getCodProvinciale()`
`int` | `getCodStatoGiuridico()`
`java.lang.String` | `getIndirizzo()`
`java.lang.String` | `getIstatUbicazione()`
`java.lang.String` | `getNomeFarmacia()`
`int` | `getNumDistretto()`
`java.lang.String` | `getPartitaIva()`
`ElencoPeriodiMezzoPagamentoResponse` | `getPeriodiMezzoPagamento()`
`PeriodoConvenzioneResponse` | `getPeriodoConvenzione()`
`PeriodoIscrizioneCategoriaResponse` | `getPeriodoIscrizione()`
`PeriodoTipoFarmaciaResponse` | `getPeriodoTipoFarmacia()`
`PeriodoTitolaritaFarmaciaResponse` | `getPeriodoTitolarita()`
`ReferenteResponse` | `getReferente()`
`void` | `setCodEntePrevidenziale(int codEntePrevidenziale)`
`void` | `setCodNazionaleConvenzione(java.lang.String codNazionaleConvenzione)`
`void` | `setCodProvinciale(int codProvinciale)`
`void` | `setCodStatoGiuridico(int codStatoGiuridico)`
`void` | `setIndirizzo(java.lang.String indirizzo)`
`void` | `setIstatUbicazione(java.lang.String istatUbicazione)`
`void` | `setNomeFarmacia(java.lang.String nomeFarmacia)`
`void` | `setNumDistretto(int numDistretto)`
`void` | `setPartitaIva(java.lang.String partitaIva)`
`void` | `setPeriodiMezzoPagamento(ElencoPeriodiMezzoPagamentoResponse periodiMezzoPagamento)`
`void` | `setPeriodoConvenzione(PeriodoConvenzioneResponse periodoConvenzione)`
`void` | `setPeriodoIscrizione(PeriodoIscrizioneCategoriaResponse periodoIscrizione)`
`void` | `setPeriodoTipoFarmacia(PeriodoTipoFarmaciaResponse periodoTipoFarmacia)`
`void` | `setPeriodoTitolarita(PeriodoTitolaritaFarmaciaResponse periodoTitolarita)`
`void` | `setReferente(ReferenteResponse referente)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codProvinciale

    private int codProvinciale

  Codice provinciale

### nomeFarmacia

    private java.lang.String nomeFarmacia

  Denominazione

### indirizzo

    private java.lang.String indirizzo

  Indirizzo

### codStatoGiuridico

    private int codStatoGiuridico

  Stato giuridico: assume un valore tra
  - 1 - pubblica
  - 2 - privata

### partitaIva

    private java.lang.String partitaIva

  Partita IVA

### istatUbicazione

    private java.lang.String istatUbicazione

  Codice ISTAT ubicazione

### codEntePrevidenziale

    private int codEntePrevidenziale

  Codice ente previdenziale

### codNazionaleConvenzione

    private java.lang.String codNazionaleConvenzione

  Codice nazionale ASL di convenzione

### numDistretto

    private int numDistretto

  Numero distretto di appartenenza

### referente

    private ReferenteResponse referente

  Referente vero il M.E.F.

### periodoConvenzione

    private PeriodoConvenzioneResponse periodoConvenzione

  Ultimo periodo di convenzione

### periodiMezzoPagamento

    private ElencoPeriodiMezzoPagamentoResponse periodiMezzoPagamento

  Elenco dei mezzi di pagamento

### periodoTipoFarmacia

    private PeriodoTipoFarmaciaResponse periodoTipoFarmacia

  Tipologia di farmacia

### periodoTitolarita

    private PeriodoTitolaritaFarmaciaResponse periodoTitolarita

  Titolarità

### periodoIscrizione

    private PeriodoIscrizioneCategoriaResponse periodoIscrizione

  Iscrizione organizzazione di categoria

Constructor Detail

### FarmaciaResponse

    public FarmaciaResponse()

Method Detail

### getCodProvinciale

    public int getCodProvinciale()

### setCodProvinciale

    public void setCodProvinciale(int codProvinciale)

### getNomeFarmacia

    public java.lang.String getNomeFarmacia()

### setNomeFarmacia

    public void setNomeFarmacia(java.lang.String nomeFarmacia)

### getIndirizzo

    public java.lang.String getIndirizzo()

### setIndirizzo

    public void setIndirizzo(java.lang.String indirizzo)

### getCodStatoGiuridico

    public int getCodStatoGiuridico()

### setCodStatoGiuridico

    public void setCodStatoGiuridico(int codStatoGiuridico)

### getPartitaIva

    public java.lang.String getPartitaIva()

### setPartitaIva

    public void setPartitaIva(java.lang.String partitaIva)

### getIstatUbicazione

    public java.lang.String getIstatUbicazione()

### setIstatUbicazione

    public void setIstatUbicazione(java.lang.String istatUbicazione)

### getCodEntePrevidenziale

    public int getCodEntePrevidenziale()

### setCodEntePrevidenziale

    public void setCodEntePrevidenziale(int codEntePrevidenziale)

### getCodNazionaleConvenzione

    public java.lang.String getCodNazionaleConvenzione()

### setCodNazionaleConvenzione

    public void setCodNazionaleConvenzione(java.lang.String codNazionaleConvenzione)

### getNumDistretto

    public int getNumDistretto()

### setNumDistretto

    public void setNumDistretto(int numDistretto)

### getReferente

    public ReferenteResponse getReferente()

### setReferente

    public void setReferente(ReferenteResponse referente)

### getPeriodoConvenzione

    public PeriodoConvenzioneResponse getPeriodoConvenzione()

### setPeriodoConvenzione

    public void setPeriodoConvenzione(PeriodoConvenzioneResponse periodoConvenzione)

### getPeriodoTipoFarmacia

    public PeriodoTipoFarmaciaResponse getPeriodoTipoFarmacia()

### setPeriodoTipoFarmacia

    public void setPeriodoTipoFarmacia(PeriodoTipoFarmaciaResponse periodoTipoFarmacia)

### getPeriodoTitolarita

    public PeriodoTitolaritaFarmaciaResponse getPeriodoTitolarita()

### setPeriodoTitolarita

    public void setPeriodoTitolarita(PeriodoTitolaritaFarmaciaResponse periodoTitolarita)

### getPeriodoIscrizione

    public PeriodoIscrizioneCategoriaResponse getPeriodoIscrizione()

### setPeriodoIscrizione

    public void setPeriodoIscrizione(PeriodoIscrizioneCategoriaResponse periodoIscrizione)

### setPeriodiMezzoPagamento

    public void setPeriodiMezzoPagamento(ElencoPeriodiMezzoPagamentoResponse periodiMezzoPagamento)

### getPeriodiMezzoPagamento

    public ElencoPeriodiMezzoPagamentoResponse getPeriodiMezzoPagamento()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD